Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.dojo.views.jsp.ui
Class TreeTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts2.views.jsp.StrutsBodyTagSupport
                  org.apache.struts2.views.jsp.ComponentTagSupport
                      org.apache.struts2.views.jsp.ui.AbstractUITag
                          org.apache.struts2.views.jsp.ui.AbstractClosingTag
                              org.apache.struts2.dojo.views.jsp.ui.TreeTag

All Implemented Interfaces:
  Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.DynamicAttributes, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class TreeTag

extends AbstractClosingTag

See Also:
  `Tree`, Serialized Form

Field Summary
`protected String` | `blankIconSrc`
`protected String` | `childCollectionProperty`
`protected String` | `collapsedNotifyTopics`
`protected String` | `errorNotifyTopics`
`protected String` | `expandedNotifyTopics`
`protected String` | `expandIconSrcMinus`
`protected String` | `expandIconSrcPlus`
`protected String` | `gridIconSrcC`
`protected String` | `gridIconSrcL`
`protected String` | `gridIconSrcP`
`protected String` | `gridIconSrcV`
`protected String` | `gridIconSrcX`
`protected String` | `gridIconSrcY`
`protected String` | `href`
`protected String` | `iconHeight`
`protected String` | `iconWidth`
`protected String` | `nodeIdProperty`
`protected String` | `nodeTitleProperty`
`protected String` | `rootNode`
`protected String` | `selectedNotifyTopics`
`protected String` | `showGrid`
`protected String` | `showRootGrid`
`protected String` | `templateCssPath`
`protected String` | `toggle`
`protected String` | `toggleDuration`

Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractClosingTag
`openTemplate`

Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`accesskey, cssClass, cssErrorClass, cssErrorStyle, cssStyle, disabled, dynamicAttributes, errorPosition, id, javascriptTooltip, key, label, labelposition, labelSeparator, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, requiredLabel, requiredPosition, tabindex, template, templateDir, theme, title, tooltip, tooltipConfig, tooltipCssClass, tooltipDelay, tooltipIconPath, value`

Fields inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`component`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TreeTag()`

Method Summary
`Component` | `getBean(com.opensymphony.xwork2.util.ValueStack stack, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`String` | `getBlankIconSrc()`
`String` | `getChildCollectionProperty()`
`String` | `getExpandIconSrcMinus()`
`String` | `getExpandIconSrcPlus()`
`String` | `getGridIconSrcC()`
`String` | `getGridIconSrcL()`
`String` | `getGridIconSrcP()`
`String` | `getGridIconSrcV()`
`String` | `getGridIconSrcX()`
`String` | `getGridIconSrcY()`
`String` | `getIconHeight()`
`String` | `getIconWidth()`
`String` | `getNodeIdProperty()`
`String` | `getNodeTitleProperty()`
`String` | `getRootNode()`
`String` | `getShowGrid()`
`String` | `getShowRootGrid()`
`String` | `getTemplateCssPath()`
`String` | `getToggle()`
`String` | `getToggleDuration()`
`protected void` | `populateParams()`
`void` | `setBlankIconSrc(String blankIconSrc)`
`void` | `setChildCollectionProperty(String childCollectionProperty)`
`void` | `setCollapsedNotifyTopics(String collapsedNotifyTopics)`
`void` | `setErrorNotifyTopics(String errorNotifyTopics)`
`void` | `setExpandedNotifyTopics(String expandedNotifyTopics)`
`void` | `setExpandIconSrcMinus(String expandIconSrcMinus)`
`void` | `setExpandIconSrcPlus(String expandIconSrcPlus)`
`void` | `setGridIconSrcC(String gridIconSrcC)`
`void` | `setGridIconSrcL(String gridIconSrcL)`
`void` | `setGridIconSrcP(String gridIconSrcP)`
`void` | `setGridIconSrcV(String gridIconSrcV)`
`void` | `setGridIconSrcX(String gridIconSrcX)`
`void` | `setGridIconSrcY(String gridIconSrcY)`
`void` | `setHref(String href)`
`void` | `setIconHeight(String iconHeight)`
`void` | `setIconWidth(String iconWidth)`
`void` | `setNodeIdProperty(String nodeIdProperty)`
`void` | `setNodeTitleProperty(String nodeTitleProperty)`
`void` | `setRootNode(String rootNode)`
`void` | `setSelectedNotifyTopics(String selectedNotifyTopics)`
`void` | `setShowGrid(String showGrid)`
`void` | `setShowRootGrid(String showRootGrid)`
`void` | `setTemplateCssPath(String templateCssPath)`
`void` | `setToggle(String toggle)`
`void` | `setToggleDuration(String toggleDuration)`
`void` | `setTreeCollapsedTopic(String treeCollapsedTopic)` Deprecated.
`void` | `setTreeExpandedTopic(String treeExpandedTopic)` Deprecated.
`void` | `setTreeSelectedTopic(String treeSelectedTopic)` Deprecated.

Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractClosingTag
`setOpenTemplate`

Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`setAccesskey, setClass, setCssClass, setCssErrorClass, setCssErrorStyle, setCssStyle, setDisabled, setDynamicAttribute, setErrorPosition, setId, setJavascriptTooltip, setKey, setLabel, setLabelposition, setLabelSeparator, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequiredLabel, setRequiredPosition, setStyle, setTabindex, setTemplate, setTemplateDir, setTheme, setTitle, setTooltip, setTooltipConfig, setTooltipCssClass, setTooltipDelay, setTooltipIconPath, setValue`

Methods inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`doEndTag, doStartTag, getComponent`

Methods inherited from class org.apache.struts2.views.jsp.StrutsBodyTagSupport
`findString, findValue, findValue, getBody, getStack, toString`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### toggle

    protected String toggle

### selectedNotifyTopics

    protected String selectedNotifyTopics

### expandedNotifyTopics

    protected String expandedNotifyTopics

### collapsedNotifyTopics

    protected String collapsedNotifyTopics

### rootNode

    protected String rootNode

### childCollectionProperty

    protected String childCollectionProperty

### nodeTitleProperty

    protected String nodeTitleProperty

### nodeIdProperty

    protected String nodeIdProperty

### showRootGrid

    protected String showRootGrid

### showGrid

    protected String showGrid

### blankIconSrc

    protected String blankIconSrc

### gridIconSrcL

    protected String gridIconSrcL

### gridIconSrcV

    protected String gridIconSrcV

### gridIconSrcP

    protected String gridIconSrcP

### gridIconSrcC

    protected String gridIconSrcC

### gridIconSrcX

    protected String gridIconSrcX

### gridIconSrcY

    protected String gridIconSrcY

### expandIconSrcPlus

    protected String expandIconSrcPlus

### expandIconSrcMinus

    protected String expandIconSrcMinus

### iconWidth

    protected String iconWidth

### iconHeight

    protected String iconHeight

### toggleDuration

    protected String toggleDuration

### templateCssPath

    protected String templateCssPath

### href

    protected String href

### errorNotifyTopics

    protected String errorNotifyTopics

Constructor Detail

### TreeTag

    public TreeTag()

Method Detail

### getBean

    public Component getBean(com.opensymphony.xwork2.util.ValueStack stack,
                             javax.servlet.http.HttpServletRequest req,
                             javax.servlet.http.HttpServletResponse res)

  Specified by:
    `getBean` in class `ComponentTagSupport`

### populateParams

    protected void populateParams()

  Overrides:
    `populateParams` in class `AbstractClosingTag`

### getToggle

    public String getToggle()

### setToggle

    public void setToggle(String toggle)

### setTreeSelectedTopic

    @Deprecated
    public void setTreeSelectedTopic(String treeSelectedTopic)

  Deprecated.

### setTreeExpandedTopic

    @Deprecated
    public void setTreeExpandedTopic(String treeExpandedTopic)

  Deprecated.

### setTreeCollapsedTopic

    @Deprecated
    public void setTreeCollapsedTopic(String treeCollapsedTopic)

  Deprecated.

### getRootNode

    public String getRootNode()

### setRootNode

    public void setRootNode(String rootNode)

### getChildCollectionProperty

    public String getChildCollectionProperty()

### setChildCollectionProperty

    public void setChildCollectionProperty(String childCollectionProperty)

### getNodeTitleProperty

    public String getNodeTitleProperty()

### setNodeTitleProperty

    public void setNodeTitleProperty(String nodeTitleProperty)

### getNodeIdProperty

    public String getNodeIdProperty()

### setNodeIdProperty

    public void setNodeIdProperty(String nodeIdProperty)

### getShowRootGrid

    public String getShowRootGrid()

### setShowRootGrid

    public void setShowRootGrid(String showRootGrid)

### getBlankIconSrc

    public String getBlankIconSrc()

### setBlankIconSrc

    public void setBlankIconSrc(String blankIconSrc)

### getExpandIconSrcMinus

    public String getExpandIconSrcMinus()

### setExpandIconSrcMinus

    public void setExpandIconSrcMinus(String expandIconSrcMinus)

### getExpandIconSrcPlus

    public String getExpandIconSrcPlus()

### setExpandIconSrcPlus

    public void setExpandIconSrcPlus(String expandIconSrcPlus)

### getGridIconSrcC

    public String getGridIconSrcC()

### setGridIconSrcC

    public void setGridIconSrcC(String gridIconSrcC)

### getGridIconSrcL

    public String getGridIconSrcL()

### setGridIconSrcL

    public void setGridIconSrcL(String gridIconSrcL)

### getGridIconSrcP

    public String getGridIconSrcP()

### setGridIconSrcP

    public void setGridIconSrcP(String gridIconSrcP)

### getGridIconSrcV

    public String getGridIconSrcV()

### setGridIconSrcV

    public void setGridIconSrcV(String gridIconSrcV)

### getGridIconSrcX

    public String getGridIconSrcX()

### setGridIconSrcX

    public void setGridIconSrcX(String gridIconSrcX)

### getGridIconSrcY

    public String getGridIconSrcY()

### setGridIconSrcY

    public void setGridIconSrcY(String gridIconSrcY)

### getIconHeight

    public String getIconHeight()

### setIconHeight

    public void setIconHeight(String iconHeight)

### getIconWidth

    public String getIconWidth()

### setIconWidth

    public void setIconWidth(String iconWidth)

### getTemplateCssPath

    public String getTemplateCssPath()

### setTemplateCssPath

    public void setTemplateCssPath(String templateCssPath)

### getToggleDuration

    public String getToggleDuration()

### setToggleDuration

    public void setToggleDuration(String toggleDuration)

### getShowGrid

    public String getShowGrid()

### setShowGrid

    public void setShowGrid(String showGrid)

### setCollapsedNotifyTopics

    public void setCollapsedNotifyTopics(String collapsedNotifyTopics)

### setExpandedNotifyTopics

    public void setExpandedNotifyTopics(String expandedNotifyTopics)

### setSelectedNotifyTopics

    public void setSelectedNotifyTopics(String selectedNotifyTopics)

### setHref

    public void setHref(String href)

### setErrorNotifyTopics

    public void setErrorNotifyTopics(String errorNotifyTopics)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.